Attribute VB_Name = "EncDefining"
Option Explicit

Declare Function Enc7400_Board_Init Lib "enc7300.dll" () As Integer
Declare Sub Enc7400_Close Lib "enc7300.dll" ()

Declare Function Enc7400_Get_Encoder Lib "enc7300.dll" (ByVal axis As Integer) As Long
Declare Sub Enc7400_Set_Encoder Lib "enc7300.dll" (ByVal axis As Integer, ByVal pos As Long)
Declare Function Enc7400_Get_LatchValue Lib "Enc7300" (ByVal axis As Integer) As Long


Declare Sub Enc7400_Count_Config Lib "enc7300.dll" (ByVal axis As Integer, ByVal cnt_mode As Integer)


Declare Function Enc7400_Read_EZ Lib "enc7300.dll" (ByVal cardno As Integer) As Integer
Declare Function Enc7400_Read_Flag Lib "enc7300.dll" (ByVal axis As Integer) As Integer
Declare Sub Enc7400_Set_EZ_Logic Lib "enc7300.dll" (ByVal axis As Integer, ByVal cls_enable As Integer)
Declare Sub Enc7400_Set_Triger_Logic Lib "enc7300.dll" (ByVal cardno As Integer, ByVal triger_logic As Integer)


Declare Function Enc7400_Write_Port Lib "enc7300.dll" (ByVal portno As Integer, ByVal portstatus As Integer) As Integer
Declare Function Enc7400_Read_Port Lib "enc7300.dll" (ByVal portno As Integer) As Integer
Declare Function Enc7400_Port_Init Lib "enc7300.dll" (ByVal cardno As Integer, ByVal portmode As Integer) As Integer

Declare Sub Enc7400_Triger_Reset Lib "enc7300.dll" (ByVal axis As Integer)
Declare Sub Enc7400_Z_Reset Lib "enc7300.dll" (ByVal axis As Integer)
Declare Function Enc7400_Read_cls Lib "enc7300.dll" (ByVal cardno As Integer) As Integer


Declare Function Enc7400_ReadClsStatus Lib "enc7300.dll" (ByVal axis As Integer) As Integer

